Skip to main content
GET
/
api
/
v1
/
customer
/
support-cases
/
{supportCaseId}
/
messages
List Support Case Messages
curl --request GET \
  --url https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/messages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/messages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/customer/support-cases/{supportCaseId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "supportCaseMessageId": "0197f152-58dd-70c7-a69d-35ecda7ff28f",
      "supportCaseId": "0197f150-40d6-7c1a-bdf2-c5884e07d401",
      "senderType": "CUSTOMER",
      "visibility": "PUBLIC",
      "body": "Ainda preciso de ajuda.",
      "createdAt": "2026-07-10T12:00:00.000Z",
      "updatedAt": "2026-07-10T12:00:00.000Z",
      "senderUserId": null,
      "readAt": null,
      "deletedAt": null
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 100,
    "totalPages": 10
  }
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0197f150-40d6-7c1a-bdf2-c5884e07d401"

Query Parameters

limit
number
default:10

Items per page

Example:

10

page
number
default:1

Page number

Example:

1

sortBy
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt
Example:

"createdAt"

sortOrder
enum<string>
default:asc

Sort order

Available options:
asc,
desc
Example:

"asc"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

Support case message page

data
object[]
required
meta
object
required